List supported tokens
curl --request GET \
--url https://api.endaoment.org/v2/tokensimport requests
url = "https://api.endaoment.org/v2/tokens"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.endaoment.org/v2/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.endaoment.org/v2/tokens",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.endaoment.org/v2/tokens"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.endaoment.org/v2/tokens")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.endaoment.org/v2/tokens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"tokens": [
{
"id": 1,
"symbol": "ETH",
"name": "Ethereum",
"decimals": 18,
"logoUrl": "https://example.com/ethereum-logo.png",
"type": "Token",
"featured": true,
"popularity": 10,
"chainId": 1,
"contractAddress": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"otcAddress": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
"memo": "MEMO123456",
"otcNetwork": {
"id": "ethereum",
"type": "mainnet"
},
"otcChainId": 1
}
]
}Donations
List supported tokens
Fetches all tokens supported by Endaoment. This endpoint can be filtered by chainId or tokenType. If chainId is provided, tokenType will be ignored and only EvmTokens on that chain will be returned. If no filter is provided, all supported tokens will be returned.
GET
/
v2
/
tokens
List supported tokens
curl --request GET \
--url https://api.endaoment.org/v2/tokensimport requests
url = "https://api.endaoment.org/v2/tokens"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.endaoment.org/v2/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.endaoment.org/v2/tokens",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.endaoment.org/v2/tokens"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.endaoment.org/v2/tokens")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.endaoment.org/v2/tokens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"tokens": [
{
"id": 1,
"symbol": "ETH",
"name": "Ethereum",
"decimals": 18,
"logoUrl": "https://example.com/ethereum-logo.png",
"type": "Token",
"featured": true,
"popularity": 10,
"chainId": 1,
"contractAddress": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"otcAddress": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
"memo": "MEMO123456",
"otcNetwork": {
"id": "ethereum",
"type": "mainnet"
},
"otcChainId": 1
}
]
}Query Parameters
Was this page helpful?